<!-- Modal -->
<div class="modal fade" id="getCartForFood" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  
</div>

<script>
    async function addToCart(data){
        let productDetail = (await $.post('/api/product-detail',{pid:data}));
        if(productDetail.status == 'success'){
            let foodDetail = productDetail.product;
            let getCartForFood = `
                                <div class="modal-dialog modal-dialog-centered" role="food-cart">
                                    <div class="modal-content">
                                    <div class="modal-header d-block">
                                        <button type="button" class="close float-right" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h5 class="modal-title text-center" id="food-cart-name"> ${foodDetail.name} </h5>
                                        <input type="hidden" id="inp-product-id" value="${foodDetail.pid}"> 
                                    </div>
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <img class="card-img" src="images/food-items/${foodDetail.img_location}" height="180px" width="100px" alt="${foodDetail.name}">
                                            </div>
                                            <div class="col-sm-6">
                                                
                                                <p> Quantity : ${foodDetail.quantity} | Price : ₹ ${foodDetail.price} </p>
                                                <span id="quantity-err" style="color:crimson;">  </span>
                                                <div class="input-group input-group-sm mb-3">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text" id="inputGroup-sizing-sm">Quantity</span>
                                                    </div>
                                                    <input type="number" class="form-control" aria-label="Small" min="0" id="inp-food-quantity" aria-describedby="inputGroup-sizing-sm" value=${foodDetail.cart} onchange="foodQuantityChange(${foodDetail.quantity})">
                                                     <div class="input-group-append">
                                                        <span class="input-group-text"> &nbsp;&nbsp; </span>
                                                    </div>
                                                </div>
                                                 <div class="input-group input-group-sm mb-3">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text" id="inputGroup-sizing-sm">Price &nbsp;&nbsp; &nbsp;</span>
                                                    </div>
                                                    <input type="number" class="form-control" id="inp-food-price" value=${foodDetail.price} readonly aria-label="Small" aria-describedby="inputGroup-sizing-sm">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text"> ₹ </span>
                                                    </div>
                                                </div>
                                                <div class="input-group input-group-sm mb-3">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text" id="inputGroup-sizing-sm"> Total &nbsp;&nbsp; &nbsp;</span>
                                                    </div>
                                                    <input type="number" class="form-control" id="inp-total-price" readonly aria-label="Small" aria-describedby="inputGroup-sizing-sm">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text"> ₹ </span>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <span id="order-err" style="color: crimson; size:12px;">  </span>
                                        <span id="order-success" style="color: green; size:12px;">  </span>
                                    </div>
                                    <div class="modal-footer text-center">
                                       <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">close</button> -->
                                        <button type="button" class="btn btn-primary" onclick="foodToCart()">Add to cart</button>
                                        <button type="button" class="btn btn-success" onclick="proceedToCheckout()">proceed to checkout</button>
                                    </div>
                                    </div>
                                </div>
                            `;
            $( "#getCartForFood" ).html(getCartForFood);
            $( "#getCartForFood" ).modal('show');

            foodQuantityChange();
        }
        else if(productDetail.status == 'err'){
            alert(productDetail.msg)
        }
    }

    function foodQuantityChange(maxQuantity){
        let getFoodQuantity = $("#inp-food-quantity").val();
        if(getFoodQuantity > maxQuantity){
            $("#inp-food-quantity").val(maxQuantity);
            $("#quantity-err").html('maximum '+ maxQuantity+' unit is available');
            setTimeout(function(){
                $("#quantity-err").html('');
            },3000);
        }
        let foodPrice = $("#inp-food-price").val();
        let totalPice = Number(getFoodQuantity) * Number(foodPrice);
        $("#inp-total-price").val(totalPice)
    }

    async function foodToCart(){
        let getFoodQuantity = $("#inp-food-quantity").val();
        if(getFoodQuantity < 1){
            $("#order-err").html('please update quantity more than 1');
            setTimeout(function(){
                $("#order-err").html('');
            },3000);
        }else{
            let pid = $("#inp-product-id").val();
            let cartUpdate = (await $.post('/api/add-cart',{"product":pid,"quantity":getFoodQuantity}));
            if(cartUpdate.status == 'success'){
                $("#order-err").html('Added to cart');
            }else{
                if(cartUpdate.code==6){
                    $('#getCartForFood').modal('toggle');
                    $("#login-modal").modal('show');
                }else if(cartUpdate.code==4){
                    $("#order-success").html(cartUpdate.msg);
                }else if(cartUpdate.code==3 || cartUpdate.code==2 ){
                    $("#order-err").html(cartUpdate.msg);
                }else if(cartUpdate.code==1){
                    $("#order-err").html(cartUpdate.msg);
                }
                
                setTimeout(function(){
                    $("#order-err").html('');
                    $("#order-success").html('');
                },3000);
                
            }
        }
    }

    async function proceedToCheckout(){
        $('#login-modal').modal('toggle');
        window.location.href = '/checkout';
    }

</script>